Subject: [bug#75518] Request for merging "core-packages-team" branch

From: [email-masked]
Date: Thu, 5 Jun 2025 18:35:28 +0200 (CEST)

Hello,

Jun 5, 2025, 15:56 by [email-masked]:

> Hello Yelninei,
>
> Am Thu, Jun 05, 2025 at 04:14:17PM +0200 schrieb [email-masked]:
>
>> It seems like the merge conflict I caused for hurd has been resolved incorrectly: hurd still has the "hurd-64bit.patch" that I removed when updating hurd for core-packages-team.
>>
>
> thanks for pointing out a mistake!
>
> But I do not get it. Do you mean
>
> commit 729b5a9bde18c06b1d62befc4f401a3aed11c84a
> Author: Yelninei <[email-masked]>
> Date:   Sun May 18 11:41:44 2025 +0100
>  gnu: libxcrypt: Remove now unnecessary Hurd64 patch.
>  * gnu/packages/crypto.scm (libxcrypt)[arguments]: Remove
>  ‘apply-hurd64-patch’ phase.
>  * gnu/packages/patches/libxcrypt-hurd64.patch: Remove.
>  * gnu/local.mk (dist_patch_DATA): Remove it.
>  Change-Id: Id98b268426ef22219e2bfc5041e7d7965c5f9275
> ?
>
> This is the only merge conflict that I remember related to hurd.
> And
>  git show 729b5a9bde18c06b1d62befc4f401a3aed11c84a
> and
>  git show c2f95bf22849ae0a6f3a37d4d4cca54b799afc0f
> (which I think is the head of the previous state of core-packages-team)
> look just the same.
>
> What did I overlook?
>
This removed hurd-64bit.patch (it is not needed after updating) however after the rebase hurd still references the deleted hurd-64bit.patch.

Commit 9f2ea76b8aecb47c43bd43934b9706ceaf3e308a
Author: Yelninei <[email-masked]>
Date:   Sun May 4 11:25:02 2025 +0000

    gnu: hurd: Update to 0.9.git20250420.
    
    * gnu/packages/commencement.scm (hurd-headers-boot0): Update to
    0.9.git20250420.
    * gnu/packages/hurd.scm (hurd-headers): Same.
    (hurd): Remove hurd-64bit.patch.
    [native-inputs]: Use texinfo instead of texinfo@4.
    * gnu/packages/patches/hurd-64bit.patch: Remove patch.
    gnu/local.mk: Deregister patch.

The conflict comes from this commit from master which added another patch. This is still needed on core-packages-team.

commit e98153b96c9a90d91db5421fe431b384602d1c9d
Author: Yelninei <[email-masked]>
Date:   Thu May 15 07:51:43 2025 +0000

    gnu: hurd: Fix service socket activation.
    
    Fixes <https://issues.guix.gnu.org/77610>.
    
    * gnu/packages/patches/hurd-socket-activation.patch: New patch
    * gnu/packages/hurd.scm (hurd): Add it.
    * gnu/local.mk: Register it.

> Andreas
>
> PS:
>
>> clisp is blocking linux-libre
>>
> Ah, that is super surprising!
>

This comes from linux-libre-source -> patch -> gnulib -> clispGnulib depends on clisp for some tests i think.
Note that patch #+ includes gnulib so you dont see it with the usual tools.